/*
*     ___                       ___       __
*    / _ \___ _    _____ ____  / _ \___ _/ /__
*   / ___/ _ \ |/|/ / -_) __/ / ___/ _ `/  '_/
*  /_/   \___/__,__/\__/_/   /_/   \_,_/_/\_\
*
*
*   Original Code by John Garrison
*   Written July 16 1999
*   To be released under the LGPL
*
*   PowerInput initialization and misc. routines
*
*   See LICENSE.TXT for more LGPL info
*/

#ifndef _PP_H
#define _PP_H

#ifdef __cplusplus
extern "C" {
#endif

#include "SDL/SDL.h"
#include "SDL/SDL_byteorder.h"

#define PP_BYTEORDER SDL_BYTEORDER
#define PP_BIGENDIAN SDL_BIGENDIAN
#define PP_LILENDIAN SDL_LILENDIAN

typedef struct _data{
   char *File;
   char *Info;
   int Bytes;
}FData;

typedef struct _Data{
   int NumFiles;
   char *File;
   FData Data[100];
}PP_Data;

int PP_Init();
int PP_Quit();
int PP_Wait(int Delay);
Uint32 PP_GetMilliseconds();
int PP_DoesAppHaveMouseFocus();
int PP_DoesAppHaveInputFocus();
int PP_IsAppActive();

#ifdef __cplusplus
};
#endif

#endif
